> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ariacompute.cn/llms.txt
> Use this file to discover all available pages before exploring further.

# 更新咏唱引擎 ROUTER 邮箱地址

> PUT /v1/router/auth/email 让已认证用户更新与其咏唱引擎 ROUTER 账户关联的邮箱地址。

更改你咏唱引擎 ROUTER 账户上的邮箱地址。此接口仅限于账户的已认证所有者，并在校验通过后立即更新邮箱字段。

## 接口

```http theme={null}
PUT /v1/router/auth/email
```

## 认证

发送从登录获取的会话 Cookie，或携带 `Authorization: Bearer <api-key>`。

## 请求体

<ParamField body="email" type="string" required>
  要与账户关联的新邮箱地址。
</ParamField>

## 响应

<ResponseField name="id" type="string">
  用户的唯一标识符。
</ResponseField>

<ResponseField name="username" type="string">
  账户的用户名。
</ResponseField>

<ResponseField name="email" type="string">
  更新后的邮箱地址。
</ResponseField>

<ResponseField name="role" type="string">
  用户角色。
</ResponseField>

<ResponseField name="disabled" type="boolean">
  账户是否被禁用。
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X PUT https://router.example.com:8080/v1/router/auth/email \
    -H "Content-Type: application/json" \
    -H "Authorization: Bearer <api-key>" \
    -d '{"email":"newalice@example.com"}'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "id": "user-abc123",
    "username": "alice",
    "email": "newalice@example.com",
    "role": "user",
    "disabled": false
  }
  ```
</ResponseExample>
